package com.dcsoft.system.visitor.service;

import com.dcsoft.system.visitor.domain.*;

import java.util.Date;
import java.util.List;

public interface IVisCarryStuffService {

    List<VisExitOutVo> selectList(VisExitOutVo vo);

    void insertVisExitOut(VisExitOutVo vo);

    VisExitOutVo selectVisExitOutById(Long id);

    CheckCodeVo selectStuffCheckCode(Long id);

    void updateStaff(VisExitOutVo vo);

    List<VisitorReviewProcessVo> queryVisitorReviewProcessList(Long id);

    void saveVisitorReviewProcess(VisExitOutVo vo);

    VisitorReviewProcessVo queryReviewProcessNew(VisitorReviewProcessVo stuffVo);

    void insertVisStuffInfo(List<VisStuffInfoVo> visStuffInfoList);

    List<VisStuffInfoVo> selectStuffList(VisStuffInfoVo vo);

    List<VisStuffInfoExportVo> selectVisitorList(VisExitOutVo vo);

    void saveVisitorReviewProcessList(List<VisExitOutVo> list);

    VisitorReviewProcessVo selectVisitorReviewProcessOne(VisitorReviewProcessVo reviewProcessVo);

    void updateVisitorReviewProcessById(VisitorReviewProcessVo reviewProcess);

    void cancel(VisExitOutVo vo);

    List<Long> selectexpireVisCarryStuff(Date dateTime);

    void updateStaffState(VisExitOutVo visExitOutVo);

    List<VisExitOutVo> queryReviewList(Long peopleId);

    VisitorReviewProcessVo queryReviewProcess(VisitorReviewProcessVo visitorReviewProcessVo);
}
